
#include <stdio.h>
#include <queue>
#include <vector>


using namespace std;

static const int MAX = 2001;

struct edge {
    int to;
    int cost;
    edge *next;
    edge(edge *e) {
        to = e->to;
        cost = e->cost;
    }
    edge() {}
};



struct head {
    edge *start;
    edge *end;
};

head nodes[MAX];

void init(int to) {
    for (int i = 0; i < to; i++) {
        nodes[i].start = NULL;
        nodes[i].end = NULL;
    }
}

void add(head *x, int to, int cost) {
    edge *item = new edge;
    item->to = to;
    item->cost = cost;
    item->next = NULL;
        
    if (x->start == NULL) {
        x->start = item;
        x->end = item;
    } else {
        x->end->next = item;
        x->end = item;
    }
}

class comp {
public:
    bool operator()(const edge &lhs, const edge &rhs) const {
        if (lhs.cost < rhs.cost) {
            return true;
        }
        return false;
    }
};

int nodeCnt = 0, edgeCnt = 0;

int jarnik(priority_queue<edge,vector<edge>,comp> &pq, int startNode) {
    edge *act = nodes[startNode].start;
    while (act != NULL) {
        edge pom(act);
        pq.push(pom);
        act = act->next;
    }
    
    int total = 0;
    while (!pq.empty()) {
        edge e= pq.top();
        
    }
}

int main(int argc, char** argv) {
    
    init(MAX);
    
    int from, to, cost;
    
    while (scanf("%d%d", &nodeCnt, &edgeCnt) == 2) {
        nodeCnt = 0;
        edgeCnt = 0;
        
        priority_queue<edge,vector<edge>,comp> pq;
   
        
        for (int i = 0; i < edgeCnt; i++) {
            scanf("%d%d%d", &from, &to, &cost);
            add(&nodes[from], to, cost);
            
        }
        
        int minCost = jarnik(pq, 0);
        
        init(nodeCnt);
        
    }
    
    
    
    return (0);
}

